Subject: bug#11131: 24.0.94; Apropos bookmarks

From: Jambunathan K <[email-masked]>
Date: Sat, 27 Oct 2012 01:41:59 +0530

Stefan Monnier <[email-masked]> writes:

>> Since my bookmarks are function names, substring completion is what I
>> desire.  (Many functions share the *same* prefix)
>
> I haven't changed the default, but I have added a `category' of
> `bookmark', so you can use substring completion simply by customizing
> completion-category-overrides.

Thanks for this patch.

Good news: 
    I can confirm that `substring' for `bookmark' category works.

        (custom-set-variables
         '(completion-category-overrides
           (quote ((buffer (styles basic substring))
                   (bookmark (styles substring))))))    

Bad news: 
    `icomplete-mode' never kicks in for `C-x r b' (even with default
    setting of `completion-category-overrides').  Once I reverse your
    changes icomplete-mode kicks in.

        $ bzr merge . -r 110680..110679 
  
    Something is surely amiss.

Request:
    Following patch advertizes new category.

=== modified file 'lisp/ChangeLog'
--- lisp/ChangeLog	2012-10-26 18:01:30 +0000
+++ lisp/ChangeLog	2012-10-26 20:02:27 +0000
@@ -1,3 +1,8 @@
+2012-10-26  Jambunathan K  <[email-masked]>
+
+	* minibuffer.el (completion-category-overrides): New completion
+	category `bookmark' (bug#11131).
+
 2012-10-26  Stefan Monnier  <[email-masked]>
 
 	* emacs-lisp/advice.el (ad-assemble-advised-definition):

=== modified file 'lisp/minibuffer.el'
--- lisp/minibuffer.el	2012-10-25 12:56:13 +0000
+++ lisp/minibuffer.el	2012-10-26 19:58:22 +0000
@@ -743,6 +743,7 @@
 				  (const buffer)
                                   (const file)
                                   (const unicode-name)
+				  (const bookmark)
                                   symbol)
           :value-type
           (set :tag "Properties to override"